| Home | Libraries | People | FAQ | More

## Function template trim_fill_if

boost::algorithm::trim_fill_if — Trim Fill.

## Synopsis

    // In header: <boost/algorithm/string/trim_all.hpp>

    template<typename SequenceT, typename RangeT, typename PredicateT>
      void trim_fill_if(SequenceT & Input, const RangeT & Fill,
                        PredicateT IsSpace);

## Description

Remove all leading and trailing spaces from the input and replace all every block of consecutive spaces with a fill string defined by user. The input sequence is modified in-place.

Parameters: |
`Fill` | A string used to fill the inner spaces
`Input` | An input sequence
`IsSpace` | An unary predicate identifying spaces